Bug 808543 - kdesdk (lokalize) FTBFS on rawhide, error: create archive failed on file .../lokalize/scripts/find-gui-text.sh
kdesdk (lokalize) FTBFS on rawhide, error: create archive failed on file .../...
Product: Fedora
Classification: Fedora
Component: kdesdk (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-30 12:35 EDT by Rex Dieter
Modified: 2012-04-02 08:58 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-30 15:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2012-03-30 12:35:50 EDT
Subject says it all, saw a new error I'd not seen before, seems related to the new rpm on rawhide (builds ok on < f18).

The target file in question is simple ascii text, not executable even.

Failed build:
Comment 1 Rex Dieter 2012-03-30 12:36:38 EDT
The tail end of build.log:

Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/kdesdk-4.8.2-1.fc18.i386
Wrote: /builddir/build/RPMS/kdesdk-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-common-4.8.2-1.fc18.noarch.rpm
Wrote: /builddir/build/RPMS/kdesdk-devel-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-cervisia-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-dolphin-plugins-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kapptemplate-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kcachegrind-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kioslave-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kmtrace-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kmtrace-libs-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kmtrace-devel-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kompare-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kompare-libs-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kompare-devel-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kpartloader-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kstartperf-4.8.2-1.fc18.i686.rpm
Wrote: /builddir/build/RPMS/kdesdk-kuiviewer-4.8.2-1.fc18.i686.rpm
error: create archive failed on file /builddir/build/BUILDROOT/kdesdk-4.8.2-1.fc18.i386/usr/share/kde4/apps/lokalize/scripts/find-gui-text.sh
RPM build errors:
    create archive failed on file /builddir/build/BUILDROOT/kdesdk-4.8.2-1.fc18.i386/usr/share/kde4/apps/lokalize/scripts/find-gui-text.sh
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
Comment 2 Panu Matilainen 2012-03-30 14:46:03 EDT
I might not be able to take a proper look at this before Monday but for starters, this in the build.log seems suspicious:

+ /usr/lib/rpm/check-buildroot
grep: /builddir/build/BUILDROOT/kdesdk-4.8.2-1.fc18.i386/usr/share/kde4/apps/lokalize/scripts/find-gui-text.sh: Permission denied

And sure enough, if a to-be-included file is not readable then rpmbuild (old and new) will fail, the error message is slightly different on rawhide than older versions. Whether that's due to some new issue in rpm or some other difference in rawhide I dunno (yet), but it at least should be possible to work around it if its just a permission issue.
Comment 3 Rex Dieter 2012-03-30 14:48:48 EDT
good eye, I'll look into what perms that file uses and make sure it's kosher.
Comment 4 Rex Dieter 2012-03-30 14:54:52 EDT
let's blame it on kdesdk for now,

    install( FILES find-gui-text.sh
             DESTINATION  ${DATA_INSTALL_DIR}/lokalize/scripts )

need to see what exactly that does, and why it's not readable by rpm.
Comment 5 Rex Dieter 2012-03-30 15:10:04 EDT
-------r-x. 1 rdieter1 rdieter1   616 Jul 27  2011 find-gui-text.sh

Comment 6 Rex Dieter 2012-03-30 15:28:43 EDT
OK, fixed in kdesdk-4.8.2-1 packaging, patched to use

    install( PROGRAMS find-gui-text.sh
             DESTINATION  ${DATA_INSTALL_DIR}/lokalize/scripts )

instead, upstreamed.
Comment 7 Kevin Kofler 2012-03-31 06:20:47 EDT
According to the (closed) kde-packager list (the mail has been CCed to the open KDE release-team list, but not moderated through there yet, so I can't link to it there either), this is a new issue in 4.8.2, which explains why we had never seen that before, in non-Rawhide.
Comment 8 Jaroslav Reznik 2012-04-02 08:58:30 EDT
Upstream tarball respun, built kdesdk-4.8.2-2.fc18

Note You need to log in before you can comment on or make changes to this bug.